Avro C++

Classes | Namespaces | Functions
Resolver.hh File Reference
`#include <boost/noncopyable.hpp>`
`#include <cstdint>`
`#include <memory>`
`#include "Config.hh"`
`#include "Reader.hh"`

Go to the source code of this file.

## Classes
class | avro::Resolver

## Namespaces
| avro
| A bunch of templates and specializations for encoding and decoding specific types.

## Functions
std::unique_ptr< Resolver > | avro::constructResolver (const ValidSchema &writerSchema, const ValidSchema &readerSchema, const Layout &readerLayout)